@import "./main.less";
@import "./themes.less";
@import "./customs.less";

body{
	font-family: "lgc-regular" !important;

	p, label, span, h1, h2, h3, h4, h5, h6{
		font-family: "lgc-regular" !important;
	}

	&.dark{
		.themes("dark");
	}
	button.uk-button{
		border: 1px solid;
	}
}

/* -- Top navigation -- */
#top-head {
	z-index: 2;
	/* Smaller Header */
	.uk-navbar-nav > li > a,
	.uk-navbar-item,
	.uk-navbar-toggle {
		/* navbar height */
		   padding: 0 8px;
		 font-size: 0.85rem;
		min-height: 52px;

		.nav-logo{
			padding-right: 25px !important;
		}
	}
}

/* Left bar */
#left-col {
	   z-index: 2;
	  position: fixed;
	overflow-x: hidden;
	overflow-y: auto;
	transition: height 0.3s ease-out;

	/* Left bar links */
	ul.uk-nav {
		> li{
			font-weight: 550;

			> a {
					   padding: 8px 20px;
				 	transition: all 0.15s ease-out;
				   border-left: 2px solid transparent;
				text-transform: capitalize !important;

				&:hover{
					padding-left: 30px;
				}
			}
			ul.uk-nav-sub{
				  padding-left: 35px;
				text-transform: capitalize;
			}
		}
	}
}

#left-col .uk-dropdown.user-drop {
	min-width: 160px;
	max-width: 160px;
	padding: 0.75rem;
}
/* Drop arrow */
#left-col .uk-dropdown.user-drop:after {
	bottom: 100%;
	left: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-color: rgba(255, 255, 255, 0);
	border-bottom-color: #fff;
	border-width: 4px;
	margin-left: -4px;
}
.left-content-box {
	padding: 0.75rem 20px;
	border-top: 1px solid rgba(255,255,255,0.06);
	margin-bottom: -1px;
}

#content {
	transition: margin 0.2s cubic-bezier(.4,0,.2,1);

	.uk-card{
		padding: 8px 13px;

		table > tr{
				   border: none !important;
			border-bottom:1px solid;

			&:last-child{
				border-bottom: none;
			}
		}

		.uk-card-header, .uk-card-body{
			padding: 10px 0 !important;
		}
		
	}
}

@media screen and (min-width: 960px){
	#content {
		/* equal to left-col width */
		margin-left: 240px + 1px;
	}
}